# eric4.XML.TemplatesWriter

Module implementing the writer class for writing an XML templates file.

### Classes

TemplatesWriter | Class implementing the writer class for writing an XML templates file.

### Functions

None

## TemplatesWriter

Class implementing the writer class for writing an XML templates file.

### Derived from

XMLWriterBase

### Methods

TemplatesWriter | Constructor
writeXML | Public method to write the XML to the file.

#### TemplatesWriter (Constructor)

TemplatesWriter(file, templatesViewer)

Constructor

file
  open file (like) object for writing

#### TemplatesWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up